noinst_LTLIBRARIES = libpsmodulesdetrend.la

libpsmodulesdetrend_la_CPPFLAGS = $(SRCINC) $(PSMODULES_CFLAGS)
libpsmodulesdetrend_la_LDFLAGS  = -release $(PACKAGE_VERSION)
libpsmodulesdetrend_la_SOURCES  = \
	pmFlatField.c \
	pmFlatNormalize.c \
	pmFringeStats.c \
	pmMaskBadPixels.c \
	pmNonLinear.c \
	pmSubtractBias.c \
	pmDetrendDB.c \
	pmShutterCorrection.c \
	psPipe.c \
	psIOBuffer.c

#	pmSubtractSky.c

pkginclude_HEADERS = \
	pmFlatField.h \
	pmFlatNormalize.h \
	pmFringeStats.h \
	pmMaskBadPixels.h \
	pmNonLinear.h \
	pmSubtractBias.h \
	pmDetrendDB.h \
	pmShutterCorrection.h \
	psPipe.h \
	psIOBuffer.h

#	pmSubtractSky.h

CLEANFILES = *~
